Bug 2121171 - Please branch and build arm-none-eabi-binutils-cs in epel8 and epel9
Summary: Please branch and build arm-none-eabi-binutils-cs in epel8 and epel9
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: arm-none-eabi-binutils-cs
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michal Hlavinka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 2121164 2121170
Blocks: EPELPackagersSIG 2121172 2121173
TreeView+ depends on / blocked
 
Reported: 2022-08-24 17:14 UTC by Davide Cavalca
Modified: 2022-10-22 15:05 UTC (History)
1 user (show)

Fixed In Version: arm-none-eabi-binutils-cs-2.39-1.el9 arm-none-eabi-binutils-cs-2.39-1.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-10-22 14:54:14 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Davide Cavalca 2022-08-24 17:14:07 UTC
Please branch and build arm-none-eabi-binutils-cs in epel8 and epel9.

If you do not wish to maintain arm-none-eabi-binutils-cs in epel8 and epel9,
or do not think you will be able to do this in a timely manner,
the EPEL Packagers SIG would be happy to be a co-maintainer of the package;
please add the epel-packagers-sig group through
https://src.fedoraproject.org/rpms/arm-none-eabi-binutils-cs/addgroup
and grant it commit access, or collaborator access on epel* branches.

Comment 1 Davide Cavalca 2022-08-24 17:22:25 UTC
This needs a minor fix for epel8: https://src.fedoraproject.org/rpms/arm-none-eabi-binutils-cs/pull-request/1

Comment 2 Michal Hlavinka 2022-08-30 20:50:53 UTC
I've tried to build this package for EPEL8, but build failed with missing dependencies linked at depends on bugs.
I will create epel branch once dependencies are available.

Comment 3 Davide Cavalca 2022-09-30 15:07:00 UTC
Will you be able to branch arm-none-eabi-binutils-cs in epel8 and epel9? All dependencies for it should now be available. Thanks!

Comment 4 Michal Hlavinka 2022-10-11 11:06:48 UTC
branches epel8 and epel9 were created
builds for epel8 and epel9 succeeded
group added as collaborator for epel*

do you need anything else?

Comment 5 Fedora Update System 2022-10-13 18:54:56 UTC
FEDORA-EPEL-2022-4349cdffbd has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-4349cdffbd

Comment 6 Fedora Update System 2022-10-13 18:55:20 UTC
FEDORA-EPEL-2022-bc727c1788 has been submitted as an update to Fedora EPEL 9. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-bc727c1788

Comment 7 Davide Cavalca 2022-10-13 18:55:58 UTC
Thanks! These just needeed to be submitted as updates now, which I've just done now. Once they clear we should be able to branch and build the downward deps as well.

Comment 8 Fedora Update System 2022-10-14 13:28:41 UTC
FEDORA-EPEL-2022-4349cdffbd has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-4349cdffbd

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2022-10-14 13:34:40 UTC
FEDORA-EPEL-2022-bc727c1788 has been pushed to the Fedora EPEL 9 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-bc727c1788

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2022-10-22 14:54:14 UTC
FEDORA-EPEL-2022-bc727c1788 has been pushed to the Fedora EPEL 9 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Fedora Update System 2022-10-22 15:05:35 UTC
FEDORA-EPEL-2022-4349cdffbd has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.